<template>
  <div style="width: 100%; padding: 0; margin: auto; box-shadow: 1px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
    <div> <h4 class="text-weight-bolder" style="margin: 30px 20px 30px 50px" >Keranjang Belanja</h4></div>


          <template>
            <div class="row col" style="width: 95%">
            <div class="q-pa-md col-8" >
              <q-markup-table flat bordered>
                <thead class="bg-teal">
                <tr style="background-color: #c2c2c2">
                  <th class="text-left" style="text-align: center">Produk</th>
                  <th class="">Jumlah</th>
                  <th class="">Harga Satuan</th>
                  <th class="">Total</th>
                  <th class=""></th>
                </tr>
                </thead>
                <tbody class="bg-grey-3">
                <tr style="background-color: white">
                  <td class="" style="text-align: center"><q-img class="sm-img-scroll" style="width: 90px; margin-right: 10px" src="~assets/detailproduk.jpg"/>Eterna Kuas Cat 1inc 1pc</td>
                  <td class="" style="text-align: center">  <div class="q-pa-md">
                    <q-input
                      v-model.number="model"
                      type="number"
                      filled
                      style="max-width: 200px"
                    />
                  </div></td>
                  <td class="" style="text-align: center">Rp. 5.500</td>
                  <td class="" style="text-align: center">Rp. 5.500</td>
                  <td class="" style="text-align: center"><q-btn color="red" icon="delete"/></td>
                </tr>
                <tr style="background-color: white">
                  <td class="" style="text-align: center"><q-img class="sm-img-scroll" style="width: 90px; margin-right: 10px" src="~assets/detailproduk.jpg"/>Eterna Kuas Cat 1inc 1pc</td>
                  <td class="" style="text-align: center">  <div class="q-pa-md">
                    <q-input
                      v-model.number="model"
                      type="number"
                      filled
                      style="max-width: 200px"
                    />
                  </div></td>
                  <td class="" style="text-align: center">Rp. 5.500</td>
                  <td class="" style="text-align: center">Rp. 5.500</td>
                  <td class="" style="text-align: center"><q-btn color="red" icon="delete"/></td>
                </tr>
                <tr style="background-color: white">
                  <td class="" style="text-align: center"><q-img class="sm-img-scroll" style="width: 90px; margin-right: 10px" src="~assets/detailproduk.jpg"/>Eterna Kuas Cat 1inc 1pc</td>
                  <td class="" style="text-align: center">  <div class="q-pa-md">
                    <q-input
                      v-model.number="model"
                      type="number"
                      filled
                      style="max-width: 200px"
                    />
                  </div></td>
                  <td class="" style="text-align: center">Rp. 5.500</td>
                  <td class="" style="text-align: center">Rp. 5.500</td>
                  <td class="" style="text-align: center"><q-btn color="red" icon="delete"/></td>
                </tr>
                </tbody>
              </q-markup-table>
            </div>

              <div class="q-pa-md col-4" >
                <q-markup-table flat bordered>
                  <thead class="bg-teal">
                  <tr style="background-color: #c2c2c2">
                    <th class="text-left" style="text-align: center">Rangkuman Belanja</th>
                  </tr>
                  </thead>
                  <tbody class="bg-grey-3">
                  <tr style="background-color: white">
                    <td class="row" style="text-align: center">
                      <p>Total Harga</p>
                      <p style="font-size: 30px; margin-right: 10px" class="absolute-right text-weight-bold" >Rp. 16.500</p></td>
                  </tr>
                  <div class="row" style="background-color: white">
                    <q-input style="margin-right: 10px; width: 70%" outlined v-model="text" label="Kode Promo" />
                    <q-btn style="width: 25%" color="blue" label="gunakan"/>
                  </div>
                  <div style="background-color: white">
                    <q-btn style="width: 99%; margin-top: 30px" color="green" label="lanjutkan ke pembayaran"/>
                  </div>
                  </tbody>
                </q-markup-table>
              </div>


            </div>
          </template>



   <div style="margin-top: 100px">.</div>
    <mainfooter style="margin-top: -200px" />
  </div>
</template>

<script>

import mainfooter from "components/mainfooter";
import ListProductHome from "components/Home/ListProductHome";
import Jumbotron from "components/Home/Jumbotron";
import RelationshipHome from "components/Home/RelationshipHome";
export default {
  name: "HalamanUtama",
  components: {
    mainfooter,
    ListProductHome,
    Jumbotron,
    RelationshipHome
  },

  data () {
    return {
      slide: 'style',
      tab: 'Deskripsi',

      expanded: false,
      lorem: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.'
    }
  }
}

</script>


<style lang="sass" scoped>

.my-card
  width: 100%
  max-width: 350px
</style>
